<?php
/**
 * @package   T3 Blank
 * @copyright Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license   GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

// get params
$sitename  = $this->params->get('sitename');
$slogan    = $this->params->get('slogan', '');
$logotype  = $this->params->get('logotype', 'text');
$logoimage = $logotype == 'image' ? $this->params->get('logoimage', T3Path::getUrl('images/logo.png', '', true)) : '';
$logoimgsm = ($logotype == 'image' && $this->params->get('enable_logoimage_sm', 0)) ? $this->params->get('logoimage_sm', T3Path::getUrl('images/logo-sm.png', '', true)) : false;

if (!$sitename) {
	$sitename = JFactory::getConfig()->get('sitename');
}

?>

<!-- HEADER -->
<header id="t3-header" class="container t3-header">
	<div class="row">

		<!-- LOGO -->
		<div class="col-xs-12 col-sm-4 logo">
			<div class="logo-<?php echo $logotype, ($logoimgsm ? ' logo-control' : '') ?>">
				<a href="<?php echo JURI::base(true) ?>" title="<?php echo strip_tags($sitename) ?>">
					<?php if($logotype == 'image'): ?>
						<img class="logo-img" src="<?php echo JURI::base(true) . '/' . $logoimage ?>" alt="<?php echo strip_tags($sitename) ?>" />
					<?php endif ?>
					<?php if($logoimgsm) : ?>
						<img class="logo-img-sm" src="<?php echo JURI::base(true) . '/' . $logoimgsm ?>" alt="<?php echo strip_tags($sitename) ?>" />
					<?php endif ?>
					<span><?php echo $sitename ?></span>
				</a>
				<small class="site-slogan"><?php echo $slogan ?></small>
			</div>
		</div>
		<!-- //LOGO -->

        <div class="col-xs-12 col-sm-8">
            <div class="row-fluid">
            	<?php if ($this->checkSpotlight('header-top' , 'languageswitcherload, eshop-topmenu')) : ?>
                    <!-- header-right-top -->
                    <div class="header-right-top">
                        <?php $this->spotlight('header-top' , 'languageswitcherload, eshop-topmenu') ?>
                    </div>
                    <!-- //header-right-top -->
                <?php endif ?>
            </div>
            
            <div class="row-fluid">
            	<?php if ($this->checkSpotlight('header-right' , 'eshop-search, eshop-currency, eshop-cart')) : ?>
                    <!-- header-right-bottom -->
                    <div class="header-right-bottom">
                        <?php $this->spotlight('header-right' , 'eshop-search, eshop-currency, eshop-cart') ?>
                    </div>
                    <!-- //header-right-bottom -->
                <?php endif ?>
            </div>
        </div>

	</div>
</header>
<!-- //HEADER -->
